Skip to content

Token Generation

The /token endpoint generates secure strings called tokens. This endpoint is particularly useful for creating random identifiers for various applications.

Parameters

ParameterRequiredDescription
lenNoToken length (12-4096). Default: 24
typeNoToken type (see options below). Default: alphanum

Token Types

TypeDescriptionExample
alphaLetters only (a-z, A-Z)AbCdEfGhIjKl
alphanumLetters and numbers6tMdlDV90x4S
base64Base64 encodingdGVzdDEyMzQ=
hexHexadecimal digitsa1b2c3d4e5f6
numNumbers only123456789012
punctPunctuation characters!@#$%^&*()_+
urlsafeURL-safe charactersabc-123_XYZ
uuidUUID format550e8400-e29b-41d4-a716-446655440000

Code Examples

curl -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "len": "24",
    "type": "alphanum"
  }' \
  "https://api.sylvain.sh/v4/token"

Response Fields

FieldTypeDescription
tokenstringThe generated secure token

Try It

Error Handling

If parameters are invalid, the API will return an error:

Error MessageDescription
Invalid number.The len parameter is not a valid number
Length cannot exceed 4096.The len parameter is greater than 4096
Length cannot be less than 12.The len parameter is less than 12